mosquitto (2.0.22-5build1) resolute; urgency=medium

  * Rebuild against new libdlt3.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 20 Feb 2026 08:37:23 +0100

mosquitto (2.0.22-5) unstable; urgency=medium

  * Fixed initial enabling of the mosquitto user service (Closes: #1124528)

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Fri, 02 Jan 2026 20:44:33 +0100

mosquitto (2.0.22-4) unstable; urgency=medium

  * d/watch: Changed to Github template to silence warning
  * d/systemd.user: Added configuration to run mosquitto as a systemd user 
    service 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Sat, 30 Aug 2025 09:52:43 +0200

mosquitto (2.0.22-3) unstable; urgency=medium

  [Joachim Zobel]
  * Added patch to remove obsolete ExecStartPre entries from mosquitto.service
    (Closes: #1110824)
  * Changed the autopkgtests to use make -C test ssl for certificate generation
  * Removed flaky from broker tests
  * Bumped Standards-Version to 4.7.2
  * Migrated watch file to version 5
  * Removed unused upstream signing key

  [Gianfranco Costamagna]
  * Drop old and fixed lintian overrides

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Wed, 13 Aug 2025 07:30:23 +0200

mosquitto (2.0.22-2) unstable; urgency=medium

  * Team upload.
  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Aug 2025 18:20:33 +0200

mosquitto (2.0.22-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - builds with lto enabled (Closes: #1015547)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 11 Aug 2025 18:12:24 +0200

mosquitto (2.0.21-1) unstable; urgency=medium

  * New upstream release (Closes: #1094157, #1094316)
  * Patch to add line breaks to the mosquitto_ctrl man page
  * Test certificates are generated before each autopkgtest run 

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Fri, 21 Mar 2025 19:15:10 +0100

mosquitto (2.0.20-3) unstable; urgency=medium

  * Marked broker tests as flaky (Closes: #1093968)
  * Bumped standards version

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Sun, 26 Jan 2025 13:22:52 +0100

mosquitto (2.0.20-2) unstable; urgency=medium

  [Joachim Zobel]
  * Adapted tests to python 3.13 (Closes: #1092750) 
  * Reenabled and fixed several tests

  [Max-Julian Pogner]
  * Fixed pointer to conf example having wrong filename

 -- Joachim Zobel <jz-2017@heute-morgen.de>  Mon, 20 Jan 2025 06:30:00 +0100

mosquitto (2.0.20-1) unstable; urgency=medium

  * Team upload.

  [ Joachim Zobel ]
  * New upstream release
    - Fix for CVE-2024-8376
  * debian/patches/2895.patch: Changes both service files now (Closes: #1036450)
  * debian/patches/2894.patch: Removed, applied by upstream
  * debian/patches/1571.patch: Removed, applied by upstream
  * Fixed reprotest build_path failure
  * Fixed 2 lintian warnings
  * Added Joachim Zobel as uploader

 -- Philippe Coval <rzr@users.sf.net>  Mon, 21 Oct 2024 13:42:51 +0200

mosquitto (2.0.18-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Install mosquitto.service into /usr (DEP17 M2).
    (Closes: #1071917)

 -- Chris Hofstaedtler <zeha@debian.org>  Tue, 13 Aug 2024 20:10:03 +0200

mosquitto (2.0.18-1) unstable; urgency=medium

  * New upstream release
  * debian/patches: Refresh patches

 -- Philippe Coval <rzr@users.sf.net>  Mon, 25 Sep 2023 15:41:05 +0200

mosquitto (2.0.17-3) unstable; urgency=medium

  * Also support protocol 5.0
  * cherry-pick 3 upstream crash fixes part of 2.0.18
    - debian/patches/f09ea91e11f243abdad343da9eedb614d53ac5a1.patch:
    - debian/patches/66c62767354f986cad928779027eb7d5182c77c8.patch:
    - debian/patches/7ae22c356be5c567503357917fca818c4d076c5a.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Sep 2023 19:17:46 +0200

mosquitto (2.0.17-2) unstable; urgency=medium

  [ Joachim Zobel ]
  * debian/patches/2895.patch:
    - cherry-pick proposed upstream change for reboot issue
      (Closes: #1036450)

  [ Gianfranco Costamagna ]
  * Revert "Refresh patch"
  * Refresh manually patch

 -- Philippe Coval <rzr@users.sf.net>  Wed, 13 Sep 2023 15:01:39 +0200

mosquitto (2.0.17-1) unstable; urgency=medium

  [ Philippe Coval ]
  * New upstream release
    - Fix for CVE-2023-28366, CVE-2023-0809, CVE-2023-3592
  * debian/patches: Remove debian-config.patch
  * debian/patches/missing-test.patch: Drop failed tests
  * debian/mosquitto.lintian-overrides: Refresh lintian report
  * debian/tests/control: Add python3-psutil for broker

  [ Joachim Zobel ]
  * applied patch for #993048 from Ethan Trevor <ethan@nandlab.com>
    (Closes: #993048)
  * Fixed shared linkage of libwebsockets

  [ Gianfranco Costamagna ]
  * Comment out pid_file as per #993048
  * Refresh patches
  * Fix watch file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 Sep 2023 10:00:46 +0200

mosquitto (2.0.15-2) unstable; urgency=medium

  [ Philippe Coval ]
  * debian/tests/control: Fix tests
  * debian/patches: Refresh missing-test.patch bypass 06 test

  [ Gianfranco Costamagna ]
  * Add manpages to clean target, they are autogenerated

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 21 Jul 2023 11:17:58 +0200

mosquitto (2.0.15-1) unstable; urgency=medium

  [ Philippe Coval ]
  * New upstream release (Closes: #993400)
  * debian/patches: Drop Fix-CONNECT...patch
  * debian/patches: Drop ssl-sslcontext-wrap_socket.patch
  * debian/patches: Refresh 1571.patch
  * debian/patches: Refresh deb-test.patch
  * debian/control: Transfer maintenance to team
  * debian/gbp.conf: Build on tag
  * debian/watch: Fix Lintian by scanning from git
  * debian/control: Bump standards
  * debian/control: Add Rules-Requires-Root Field
  * debian/mosquitto.lintian-overrides: Ignore lws spelling
  * debian/mosquitto.lintian-overrides: Ignore upstream spelling
  * debian/control: Fix lintian d-on-obsolete-package : lsb to sysV
  * d/mosquitto.lintian-overrides: Hide h-in-library-directory-missing-soname
  * d/libmosquittopp1.lintian-overrides: Silent library-not-linked-against-libc
  * debian/control: Add missing Pre-depends for systemd
  * debian/rules: Add hardening flags
  * debian/mosquitto.lintian-overrides: Relocate groff-message warning
  * debian/libmosquitto*.symbols: Fix Lintian symbols-file-m-b-d-p-field
  * debian/rules: Fix lintian debug-symbol-migration-possibly-complete
  * debian/mosquitto.triggers: Remove ldconfig step
  * debian/control: Fix cme lint libssl-dev dep
  * debian/control: Fix cme lint Multi-Arch

  [ наб ]
  * debian/mosquitto.postrm: Purge user (Closes: #1032200)

  [ Gianfranco Costamagna ]
  * upload to sid

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 20 Jul 2023 12:10:52 +0200

mosquitto (2.0.11-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix CONNECT performance with many user-properties (CVE-2021-41039)
    (Closes: #1001028)
  * debian/tests/broker: Make all test python scripts executable

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 29 Dec 2022 13:38:30 +0100

mosquitto (2.0.11-1.1) unstable; urgency=medium

  * Non-maintainer upload

  [ Olivier Gayot ]
  * Fix autopkgtest failure when running against Python 3.10 (Closes:
    #1009096) (LP: #1960214)

 -- Sebastian Ramacher <sramacher@debian.org>  Sat, 16 Apr 2022 17:17:54 +0200

mosquitto (2.0.11-1) unstable; urgency=medium

  * SECURITY UPDATE: In Eclipse Mosquitto 1.6 to 2.0.10, if an authenticated
    client that had connected with MQTT v5 sent a crafted CONNECT message to
    the broker, a memory leak would occur.
  * New upstream release.
  * Removed systemd-run.patch, applied upstream.
  * Removed signed-unsigned.patch, applied upstream.
  * missing-test.patch: Fix missing upstream test.
  * Update copyright years and paths

 -- Roger A. Light <roger@atchoo.org>  Wed, 09 Jun 2021 13:54:36 +0100

mosquitto (2.0.10-6) unstable; urgency=medium

  * Don't chown /run/mosquitto in mosquitto.postinst, this is done in the
    systemd unit file at run time. (closes: #983429).
  * systemd-run.patch: use /run/mosquitto instead of /var/run/mosquitto in
    systemd unit file.

 -- Roger A. Light <roger@atchoo.org>  Mon, 26 Apr 2021 22:07:57 +0100

mosquitto (2.0.10-5) unstable; urgency=medium

  * Don't use `pkill` in tests. (closes: #987467)
  * Lintian fixes:
    - dir-or-file-in-run
    - extended-description-line-too-long
    - lacks-ldconfig-trigger
    - package-contains-empty-directory
    - renamed-tag
    - shared-library-is-multi-arch-foreign
    - spelling-in-override-comment
    - typo-in-manual-page

 -- Roger A. Light <roger@atchoo.org>  Thu, 22 Apr 2021 14:38:23 +0100

mosquitto (2.0.10-4) unstable; urgency=medium

  * Fix autopkgtest test build dependencies.

 -- Roger A. Light <roger@atchoo.org>  Wed, 21 Apr 2021 12:10:45 +0100

mosquitto (2.0.10-3) unstable; urgency=medium

  * signed-unsigned.patch: Fix signed/unsigned conversion warnings.

 -- Roger A. Light <roger@atchoo.org>  Mon, 19 Apr 2021 09:41:00 +0100

mosquitto (2.0.10-2) unstable; urgency=medium

  * Fix autopkgtests.
  * deb-test.patch: Fix paths to allow autopkgtest to work in the Debian
    environment.

 -- Roger A. Light <roger@atchoo.org>  Sun, 18 Apr 2021 21:42:48 +0100

mosquitto (2.0.10-1) unstable; urgency=high

  * SECURITY UPDATE: In Eclipse Mosquitto version 2.0.0 to 2.0.9, if an
    authenticated client that had connected with MQTT v5 sent a crafted
    CONNACK message to the broker, a NULL pointer dereference would occur.
    (Closes: #986701)
    - CVE-2021-28166
  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Sat, 10 Apr 2021 00:41:35 +0100

mosquitto (2.0.9-1) unstable; urgency=medium

  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Thu, 11 Mar 2021 22:53:34 +0000

mosquitto (2.0.8-1) unstable; urgency=medium

  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Thu, 25 Feb 2021 18:56:57 +0000

mosquitto (2.0.7-3) unstable; urgency=medium

  * Change all paths `/var/run` to `/run` to avoid installing through a
    symlink.

 -- Roger A. Light <roger@atchoo.org>  Tue, 09 Feb 2021 09:31:09 +0000

mosquitto (2.0.7-2) unstable; urgency=medium

  * Add new xsltproc and docbook-xsl dependencies needed to build manpages.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 08 Feb 2021 21:55:11 +0100

mosquitto (2.0.7-1) unstable; urgency=medium

  * New upstream release.
  * License has changed from EPL-1.0 OR EDL-1.0 to EPL-2.0 OR EDL-1.0.
  * New dependency, libcjson
  * Remove install-protocol.patch, this has been fixed upstreamed.
  * pid file moved to /var/run/mosquitto/mosquitto.pid because mosquitto is no
    longer root when it tries to create that file.

 -- Roger A. Light <roger@atchoo.org>  Thu, 4 Feb 2021 23:27:31 +0000

mosquitto (1.6.12-1) unstable; urgency=medium

    * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Wed, 19 Aug 2020 15:24:26 +0100

mosquitto (1.6.11-1) unstable; urgency=medium

  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Tue, 11 Aug 2020 16:53:20 +0100

mosquitto (1.6.9-1) unstable; urgency=medium

  * New upstream release.
  * Revert change enabling SRV functionality, it is disabled by default
    upstream and of little benefit to any end user, but adds reasonable
    complexity to the code.
  * Remove patches 1568, 1569, 1570 - applied upstream.

 -- Roger A. Light <roger@atchoo.org>  Tue, 03 Mar 2020 15:16:15 +0000

mosquitto (1.6.8-2) unstable; urgency=medium

  * Also install mqtt_protocol.h in libmosquitto-dev package.
    (Closes: #951116)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 15 Feb 2020 19:51:49 +0100

mosquitto (1.6.8-1) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 08 Feb 2020 09:35:50 +0100

mosquitto (1.6.8-1~exp3) experimental; urgency=medium

  * Tweak patch 1570 to fix a build failure with non-libc libraries

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 25 Jan 2020 10:47:39 +0100

mosquitto (1.6.8-1~exp2) experimental; urgency=medium

  * Add libcares-dev dependency, to enable SRV functionality
  * Bump std-version to 4.5.0, no changes required
  * Simplify rules file, avoding the systemd hack in configure script
  * Rename patches with the upstream PR number on github.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 24 Jan 2020 14:19:46 +0100

mosquitto (1.6.8-1~exp1) experimental; urgency=medium

  * New upstream version 1.6.8 (Closes: #949585)
  * Also install examples into etc directory
  * Install missing mosquitto_broker.h header file
  * Add mosquitto_rr to tools
  * Install manpages into debian/*.manpages files
  * Fix installation of libraries in case soname is added to the so file
  * Bump std-version to 4.4.1, no changes required
  * Require uthash at least 2.1.0, previously the embedded version was used during build process
  * Bump compat level to 12
  * Switch build system to cmake
  * Do not override dh_auto_test anymore

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 22 Jan 2020 12:23:22 +0100

mosquitto (1.6.7-1) unstable; urgency=medium

  * New upstream release.

 -- Roger A. Light <roger@atchoo.org>  Wed, 25 Sep 2019 13:31:51 +0100

mosquitto (1.6.6-1) unstable; urgency=high

  * SECURITY UPDATE: If an MQTT v5 client connects to Mosquitto, sets a last
    will and testament, sets a will delay interval, sets a session expiry
    interval, and the will delay interval is set longer than the session
    expiry interval, then a use after free error occurs, which has the
    potential to cause a crash in some situations.
    - CVE awaiting assignment
  * SECURITY UPDATE: If a malicious MQTT client sends a SUBSCRIBE packet
    containing a topic that consists of approximately 65400 or more '/'
    characters, i.e. the topic hierarchy separator, then a stack overflow will
    occur.
    - CVE awaiting assignment
  * New upstream release.
  * Remove bug-1367.patch.
  * Don't use killall in mosquitto.logrotate. Closes: #940229.

 -- Roger A. Light <roger@atchoo.org>  Tue, 17 Sep 2019 18:41:36 +0100

mosquitto (1.6.4-1) unstable; urgency=medium

  * New upstream release.
  * Bump standards version to 4.4.0, no changes needed.
  * bug-1367.patch: fix bug with v5 DISCONNECT packets with remaining_length =
    2 being treated as a protocol error. Fixed upstream for 1.6.5 or 1.7.
  * Added override_dh_makeshlibs for catching symbol errors.
  * Add --retry to init file as per
    https://github.com/eclipse/mosquitto/issues/1117

 -- Roger A. Light <roger@atchoo.org>  Thu, 01 Aug 2019 22:51:08 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libmosquitto1`.
